Subject: Re: [PATCH v2 3/3] http-backend: spool ref negotiation requests to buffer

From: Jeff King <[email-masked]>
Date: Mon, 25 May 2015 22:24:01 -0400

On Mon, May 25, 2015 at 10:07:50PM -0400, Konstantin Ryabitsev wrote:

> On 20 May 2015 at 03:37, Jeff King <[email-masked]> wrote:
> > +               /* partial read from read_in_full means we hit EOF */
> > +               len += cnt;
> > +               if (len < alloc) {
> > +                       *out = buf;
> > +                       warning("request size was %lu", (unsigned long)len);
> > +                       return len;
> > +               }
> 
> Jeff:
> 
> This patch appears to work well -- the only complaint I have is that I
> now have "warning: request size was NNN" all over my error logs. :) Is
> it supposed to convey an actual warning message, or is it merely a
> debug statement?

Whoops, yeah, it was just for debugging. I missed that one when sending
out the patch.

Junio, the squashable patch is below (on jk/http-backend-deadlock-2.2),
and it looks like nothing has hit "next" yet. But you did do some
up-merging of the topic. Let me know if you would prefer to just have a
patch on top.

diff --git a/http-backend.c b/http-backend.c
index d1333b8..6bf139b 100644
--- a/http-backend.c
+++ b/http-backend.c
@@ -295,7 +295,6 @@ static ssize_t read_request(int fd, unsigned char **out)
 		len += cnt;
 		if (len < alloc) {
 			*out = buf;
-			warning("request size was %lu", (unsigned long)len);
 			return len;
 		}

-Peff